Page MenuHomePhabricator

Upgrade Varnish to 5.1.3-1wm11
Closed, ResolvedPublic

Description

Our custom Varnish version 5.1.3-1wm11 includes patches ported form upstream Varnish 4.1.11 to ensure first_byte_timeout is honored upon origin server connection reuse. The patches fix https://github.com/varnishcache/varnish-cache/issues/1772.

5.1.3-1wm11 has been running fine on cp3032 for the past 2 weeks. We should now upgrade the rest of the fleet.

Event Timeline

ema created this task.Jul 10 2019, 2:49 PM
Restricted Application added a project: Operations. · View Herald TranscriptJul 10 2019, 2:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Jul 10 2019, 2:50 PM
ema moved this task from Triage to Caching on the Traffic board.

Mentioned in SAL (#wikimedia-operations) [2019-07-10T14:51:18Z] <ema> upload varnish 5.1.3-1wm11 to stretch-wikimedia T227672

ema updated the task description. (Show Details)Jul 10 2019, 2:51 PM
ema updated the task description. (Show Details)Jul 10 2019, 3:09 PM

Mentioned in SAL (#wikimedia-operations) [2019-07-10T15:23:20Z] <ema> cp-ulsfo: upgrade varnish to 5.1.3-1wm11 T227672

Mentioned in SAL (#wikimedia-operations) [2019-07-11T13:00:52Z] <ema> cp-ulsfo: varnish frontend rolling restarts for 5.1.3-1wm11 upgrades T227672

Mentioned in SAL (#wikimedia-operations) [2019-07-15T09:56:55Z] <ema> cp-eqsin: varnish frontend rolling restarts for 5.1.3-1wm11 upgrades T227672

Mentioned in SAL (#wikimedia-operations) [2019-07-17T07:46:20Z] <ema> cp-esams: varnish frontend rolling restarts for 5.1.3-1wm11 upgrades T227672

Mentioned in SAL (#wikimedia-operations) [2019-07-17T13:10:53Z] <ema> cp-codfw: varnish frontend rolling restarts for 5.1.3-1wm11 upgrades T227672

Mentioned in SAL (#wikimedia-operations) [2019-07-18T10:43:21Z] <ema> cp-eqiad: varnish frontend rolling restarts for 5.1.3-1wm11 upgrades T227672

ema closed this task as Resolved.Jul 19 2019, 9:39 AM